Subject: [DNSOP] DNS Error Reporting

From: Roy Arends <[email-masked]>
Date: Fri, 30 Oct 2020 17:03:00 +0000

Dear DNS Operations folk,

Matt Larson and I wrote up a method that warns a domain owner of an issue with their configuration. The idea is loosely based on DMARC (RFC7489), and on Trust Anchor signalling (RFC8145). 

The method involves an EDNS0 exchange, containing an “agent” domain, send by the authoritative server  that the resolver can send reports to in case of a failure.

Please see https://tools.ietf.org/html/draft-arends-dns-error-reporting-00 <https://tools.ietf.org/html/draft-arends-dns-error-reporting-00>

I will ask the DNSOP chairs for a slot during IETF109 to present the idea. 

Warmly,

Roy

---

From: Dick Franks <[email-masked]>
Date: Fri, 30 Oct 2020 17:37:03 +0000

[Section 5]

 o  REPORTING AGENT DOMAIN, a Domain name [RFC8499
<https://tools.ietf.org/html/rfc8499>].

should read:

 o  REPORTING AGENT DOMAIN, a Domain name [RFC8499
<https://tools.ietf.org/html/rfc8499>] in the format prescribed by
[RFC1035 <https://tools.ietf.org/html/rfc1035>].

Dick Franks
________________________

---

From: Roy Arends <[email-masked]>
Date: Fri, 30 Oct 2020 17:38:23 +0000

Thanks!

Will fix!

Roy

> On 30 Oct 2020, at 17:37, Dick Franks <[email-masked]> wrote:
> 
> [Section 5]
>  o  REPORTING AGENT DOMAIN, a Domain name [RFC8499 <https://tools.ietf.org/html/rfc8499>].
> should read:
>  o  REPORTING AGENT DOMAIN, a Domain name [RFC8499 <https://tools.ietf.org/html/rfc8499>] in the format prescribed by [RFC1035 <https://tools.ietf.org/html/rfc1035>].
> 
> Dick Franks
> ________________________
>